# Class ModuleConfigQueryValidator<TConfig>

#### Type Parameters

- #### TConfig extends AnyConfigSchema<ModuleConfig>

#### Hierarchy

- ModuleConfigQueryValidator

#### Implements

- QueryValidator

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:4

#####
Index

### Constructors

constructor

### Properties

allowed
disallowed
hasAllowedRules
hasDisallowedRules
hasRules
queryAllowed
queryDisallowed
queryable

## Constructors

### constructor

- new ModuleConfigQueryValidator<TConfig>(config?): ModuleConfigQueryValidator<TConfig>

- #### Type Parameters

  - #### TConfig extends SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">

  #### Parameters

  - ##### `Optional` config: TConfig

  #### Returns ModuleConfigQueryValidator<TConfig>

  - Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:10

## Properties

### `Protected` allowed

allowed: Record<string, string[]>

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:5

### `Protected` disallowed

disallowed: Record<string, string[]>

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:6

### `Protected` `Readonly` hasAllowedRules

hasAllowedRules: boolean

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:7

### `Protected` `Readonly` hasDisallowedRules

hasDisallowedRules: boolean

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:8

### `Protected` `Readonly` hasRules

hasRules: boolean

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:9

### `Protected` queryAllowed

queryAllowed: ((schema, addresses) => boolean)

#### Type declaration

- - (schema, addresses): boolean

  - #### Parameters

    - ##### schema: string

    - ##### addresses: string[]

    #### Returns boolean

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:12

### `Protected` queryDisallowed

queryDisallowed: ((schema, addresses) => boolean)

#### Type declaration

- - (schema, addresses): boolean

  - #### Parameters

    - ##### schema: string

    - ##### addresses: string[]

    #### Returns boolean

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:13

### queryable

queryable: Queryable<SchemaFields & PayloadFields & BoundWitnessFields & {
query: string;
resultSet?: string;
schema: "network.xyo.boundwitness";
}>

Implementation of QueryValidator.queryable

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/ModuleConfigQueryValidator.d.ts:11

Generated using TypeDoc